PETSc version 3.15.5
Fix/Edit manual page

# SNESLineSearchGetDefaultMonitor

Gets the PetscViewer instance for the line search monitor.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetDefaultMonitor(SNESLineSearch linesearch, PetscViewer *monitor)

### Input Parameter

| linesearch | - linesearch context

### Output Parameter

| monitor | - monitor context

Logically Collective on SNES

### Options Database Keys

| -snes_linesearch_monitor | - enables the monitor

### See Also

SNESGetLineSearch(), SNESLineSearchSetDefaultMonitor(), PetscViewer

### Level

intermediate

### Location

src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages